# bitcode has no debuginfo
%global debug_package %{nil}

%global upstreamname ROCm-Device-Libs
%global install_prefix %{_libdir}/rocm

Name:           rocm-device-libs
Version:        5.7.1
Release:        %mkrel 1
Summary:        AMD ROCm Device libraries
Group:          System/Libraries
Url:            https://github.com/RadeonOpenCompute/ROCm-Device-Libs
License:        NCSA
Source0:        %{url}/archive/rocm-%{version}.tar.gz#/%{upstreamname}-rocm-%{version}.tar.gz
# Upstream is working on a solution, patch is adapted from debian:
#https://salsa.debian.org/rocm-team/rocm-device-libs/-/blob/master/debian/patches/cmake-amdgcn-bitcode.patch
Patch0:         0001-Use-FHS-compliant-install.patch

BuildRequires:  rocm-cmake
BuildRequires:  rocm-llvm-devel = %version

#Only the following architectures are useful for ROCm packages:
ExclusiveArch:  x86_64 aarch64

%description
This package contains a set of AMD specific device-side language runtime
libraries in the form of bit code. Specifically:
 - Open Compute library controls
 - Open Compute Math library
 - Open Compute Kernel library
 - OpenCL built-in library
 - HIP built-in library
 - Heterogeneous Compute built-in library

%prep
%autosetup -p1 -n %{upstreamname}-rocm-%{version}

%build
%cmake \
        -Wno-dev \
        -S "." \
        -B build \
        -DCMAKE_C_COMPILER=%{install_prefix}/llvm/bin/clang \
        -DLLVM_DIR=%{install_prefix}/llvm/lib/cmake/llvm

%cmake_build

%install
%cmake_install

%files
%license LICENSE.TXT
%doc README.md
# No need to install this twice:
%exclude %{_datadir}/doc/ROCm-Device-Libs/LICENSE.TXT
%dir %{_libdir}/cmake/AMDDeviceLibs
%{_libdir}/cmake/AMDDeviceLibs/AMDDeviceLibsConfig.cmake
%{_libdir}/amdgcn{,.*}


%changelog
* Mon Dec 18 2023 squidf <squidf> 5.7.1-1.mga10
+ Revision: 2018896
- Upstream version 5.7.1

* Sun Jun 18 2023 squidf <squidf> 15.1-1.1.mga9
+ Revision: 1962332
-Build for Mageia required by AMD OpenCL


* Sat Jun 10 2023 squidf <squid-f> 15.1.1-1
- First build for Mageia 9
